> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /notebookcheck/graphics_cards/search

> Search the graphics card benchmark database by segment, integration, audience, age and free text

**Price:** 20 credits



## OpenAPI

````yaml /openapi/hardware-benchmarks.json post /api/notebookcheck/graphics_cards/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/notebookcheck/graphics_cards/search:
    post:
      tags:
        - /notebookcheck
      summary: /notebookcheck/graphics_cards/search
      description: >-
        Search the graphics card benchmark database by segment, integration,
        audience, age and free text


        **Price:** 20 credits
      operationId: __api_notebookcheck_graphics_cards_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotebookcheckGraphicsCardSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NotebookcheckGraphicsCardListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NotebookcheckGraphicsCardSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        match_all_words:
          type: boolean
          default: true
        segment:
          $ref: '#/components/schemas/NotebookcheckGraphicsCardSegment'
          default: all
        audience:
          $ref: '#/components/schemas/NotebookcheckGraphicsCardAudience'
          default: any
        integration:
          $ref: '#/components/schemas/NotebookcheckGraphicsCardIntegration'
          default: any
        configuration:
          $ref: '#/components/schemas/NotebookcheckGraphicsCardMulti'
          default: any
        directx_12_only:
          type: boolean
          default: false
        announced_months_ago:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        benchmarked_only:
          type: boolean
          default: false
        on_sale_only:
          type: boolean
          default: false
        sort_by:
          anyOf:
            - $ref: '#/components/schemas/NotebookcheckGraphicsCardSort'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    NotebookcheckGraphicsCardListing:
      properties:
        '@type':
          type: string
          default: NotebookcheckGraphicsCardListing
        item_id:
          type: string
        name:
          type: string
        page_id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        position:
          anyOf:
            - type: integer
            - type: 'null'
        codename:
          anyOf:
            - type: string
            - type: 'null'
        architecture:
          anyOf:
            - type: string
            - type: 'null'
        pixel_shaders:
          anyOf:
            - type: integer
            - type: 'null'
        vertex_shaders:
          anyOf:
            - type: integer
            - type: 'null'
        core_speed_mhz:
          anyOf:
            - type: number
            - type: 'null'
        shader_speed_mhz:
          anyOf:
            - type: number
            - type: 'null'
        boost_speed_mhz:
          anyOf:
            - type: number
            - type: 'null'
        memory_speed_mhz:
          anyOf:
            - type: number
            - type: 'null'
        memory_bus_bit:
          anyOf:
            - type: integer
            - type: 'null'
        memory_type:
          anyOf:
            - type: string
            - type: 'null'
        max_memory_mb:
          anyOf:
            - type: number
            - type: 'null'
        ai_tops_int8:
          anyOf:
            - type: number
            - type: 'null'
        is_integrated:
          anyOf:
            - type: boolean
            - type: 'null'
        directx:
          anyOf:
            - type: string
            - type: 'null'
        opengl:
          anyOf:
            - type: string
            - type: 'null'
        process_nm:
          anyOf:
            - type: number
            - type: 'null'
        performance_rating:
          anyOf:
            - type: number
            - type: 'null'
        performance_percent:
          anyOf:
            - type: number
            - type: 'null'
        benchmarks:
          items:
            $ref: '#/components/schemas/NotebookcheckBenchmark'
          type: array
          default: []
      type: object
      required:
        - item_id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NotebookcheckGraphicsCardSegment:
      type: string
      enum:
        - all
        - laptop
        - desktop
        - smartphone_and_tablet
        - laptop_and_desktop
    NotebookcheckGraphicsCardAudience:
      type: string
      enum:
        - any
        - professional
        - consumer
    NotebookcheckGraphicsCardIntegration:
      type: string
      enum:
        - any
        - integrated
        - dedicated
    NotebookcheckGraphicsCardMulti:
      type: string
      enum:
        - any
        - single
        - multiple
    NotebookcheckGraphicsCardSort:
      type: string
      enum:
        - name
        - architecture
        - pixel_shaders
        - vertex_shaders
        - core_speed
        - boost_speed
        - memory_speed
        - memory_bus
        - memory_type
    NotebookcheckBenchmark:
      properties:
        '@type':
          type: string
          default: NotebookcheckBenchmark
        name:
          type: string
        value:
          anyOf:
            - type: number
            - type: 'null'
        sample_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````